# Contributing

## Bug fixes

Issues can be found on our [GitHub issues](https://github.com/yummygum/flagpack-core/issues) page. Found a bug? Let us know! Report the bug by [creating a new issue](https://github.com/Yummygum/flagpack-core/issues/new/choose). Make sure to check the issues page before creating a new bug issue to prevent duplicate issues. Once you start fixing a bug, post your intent on the issue to prevent others diving in at the same time.

## New features

Upcoming new features can be found on our [GitHub issues](https://github.com/yummygum/flagpack-core/issues) page. Do you want to contribute by adding new features, open a [Feature Request](https://github.com/Yummygum/flagpack-core/issues/new/choose).

## Documentation

If a PR introduces or changes API, mention one of the Yummygum team members to make sure it'll be processed into the [website docs](https://flagpack.xyz/docs/).

## Development

Follow these steps to get your code PR-ready:

1. Fork the `flagpack-core` repo (and also one of the component packages (Angular, Vue, React) if you want to make changes to those)
2. Clone your fork locally
3. Add your code
4. If this is a feature that requires doc changes, mention one of the Yummygum team members
5. Make sure your code is linted and formatted nicely according to the style guide
6. Create a PR and mention what changes you made
7. You're ready!